# The MEME Suite

## Motif-based sequence analysis tools

## beeml2meme

### Usage:

`beeml2meme [options] <matrix file>+`

### Description

Convert one or more BEEML matrix files into a MEME motif file suitable for use with MEME Suite programs.

### Input

#### <matrix file>+

The names of one or more BEEML matrix files describing one or more motifs in terms of letter energy values.

##### Example

    # cell08_Alx3_3418, probe_r_sqr = 0.676, 8mer_r_sqr = 0.868
    A       0.12    1.48    0       0       2.18    1.15    0       0.09    0.14    0.13
    C       0.02    1.69    1.57    2.2     1.7     0.99    0.82    0.36    0       0.27
    G       0.42    2.31    1.9     2.8     2.3     1.12    0.16    0       0.25    0.27
    T       0       0       1.67    1.62    0       0       0.59    0.52    0.04    0
    # cell08_Alx4_1744, probe_r_sqr = 0.756, 8mer_r_sqr = 0.895
    A       0       0.73    0.97    0       0       3.35    2.65    0       0       0.25
    C       0.36    0       0       1.58    2.82    3.82    2.23    3.44    0.67    0
    G       0.16    0.5     1.32    1.86    2.94    6.2     2.42    3.01    0.21    0.11
    T       0.25    0.15    0.05    1.59    3.23    0       0       1.98    0.31    0.28

### Output

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-sg | Uniprobe screen grab | Use the screen grab of the Uniprobe browser http://thebrain.bwh.harvard.edu/uniprobe/browse.php to assign Uniprobe IDs to BEEML IDs. | The BEEML matrix must already contain a Uniprobe ID directly following the BEEML ID or the URL will not be added to the motifs.